Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 28474 - package type preference for binary packages
Summary: package type preference for binary packages
Status: VERIFIED LATER
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Enhancement/Feature Requests (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-11 14:26 UTC by crusaderky
Modified: 2007-01-11 12:22 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description crusaderky 2003-09-11 14:26:29 UTC
Full support for binary packages would be very handy and would attract all those
users who don't have time to compile everything from source, but also want an
easy way to update packages.

You could add it using a PACKAGE_TYPE variable in make.conf, containing the
priority order of the packages you want to install:
i.e. a lazy user with an athlon-xp will have something like this:
PACKAGE_TYPE="athlon-xp i686 i386 source"
This means "download and install packages optimized for -march=athlon xp; if not
available, use packages compiled for -mcpu=i686, then i386. If none of these are
available, compile from sources using CFLAGS".
An advanced tweaker (also using an athlon-xp) would instead have:
PACKAGE_TYPE="athlon-xp source i686 i386"
that means that i686 and i386 packages should only be used for closed-source
packages.
Any user could obviously want to override this option for particular packages, i.e.
#PACKAGE_TYPE="source" emerge mplayer

For this to work, you'd have to write in the ebuild files links to several
packages, that is the source and some .tgz, i.e. (for mozilla)
mozilla-1.4.tar.gz
mozilla-1.4-athlon-xp.tgz
mozilla-1.4-athlon.tgz
mozilla-1.4-pentium4.tgz
mozilla-1.4-pentium3.tgz
mozilla-1.4-i686.tgz
mozilla-1.4-i386.tgz
mozilla-1.4-ppc.tgz
etc.

emerge would download the correct package according to PACKAGE_TYPE, then run
emerge -k on that. The -k option would not be needed by the user any more.

Obviously you don't need to make binaries for *all* packages, just the main ones...
Comment 1 . 2004-04-23 13:14:58 UTC
I was just going to post sometihng like this too. I would also like to see some more support for binary packages. I believe it would definitely bring more people to gentoo too. maybe just keep them as <package>-bin like a few still are right now?
Comment 2 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2005-07-29 15:19:41 UTC
I believe this could be possible using ferringb's domain stuff and multiple 
binary repos + emerge -k --MyAthlonXP Repo or some kind of repo order similar to 
PACKAGE_TYPE.

Regardless, it's not going in stable, so LATER.
Comment 3 Brian Harring (RETIRED) gentoo-dev 2005-08-04 21:01:25 UTC
Yeah, comes down to repo type, and shopping the built pkg around to the mergable
repos (rpm, binpkg, dpkg, whatever).
I'll stick to binpkg repo myself in writing it, but if anyone is whacky and
wants to play with some rather in-flux code, contact me if you're after
alternative formats.
Comment 4 Marius Mauch (RETIRED) gentoo-dev 2007-01-11 12:22:15 UTC
Closing as WONTFIX, this would be covered by generic multi repository support as outlined in comments #2 and #3